[
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-small", quantity: 4 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 4 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-small", quantity: 3 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-small", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-small", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-medium", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-medium", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-medium", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-medium", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-large", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-large", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 2 },
			"H": { type: "item", code: "hide-raw-huge", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-huge" }
	},

	
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-small", quantity: 4 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 4 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-small", quantity: 3 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-small", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-small", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-small", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-medium", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-medium", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-medium", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-medium", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-large", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-large", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 2 },
			"H": { type: "item", code: "hide-salted-huge", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-huge" }
	},
	

	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-raw-bear-*-complete", name: "species", quantity: 1, allowedVariants: ["panda", "sun"] },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-bear-{species}-complete" }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 2 },
			"H": { type: "item", code: "hide-raw-bear-*-complete", name: "species", quantity: 1, allowedVariants: ["black", "brown", "polar"] },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-bear-{species}-complete" }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 1 },
			"H": { type: "item", code: "hide-salted-bear-*-complete", name: "species", quantity: 1, allowedVariants: ["panda", "sun"] },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-bear-{species}-complete" }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered", quantity: 2 },
			"H": { type: "item", code: "hide-salted-bear-*-complete", name: "species", quantity: 1, allowedVariants: ["black", "brown", "polar"] },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-bear-{species}-complete" }
	},

	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-red", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-red", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-red", quantity: 3 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-red", quantity: 4 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 4 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-red", quantity: 1 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-red", quantity: 2 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-red", quantity: 3 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-red", quantity: 4 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-red", quantity: 4 }
	},

	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-arctic", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-arctic", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-arctic", quantity: 3 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-fox-arctic", quantity: 4 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 4 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-arctic", quantity: 1 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-arctic", quantity: 2 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-arctic", quantity: 3 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-fox-arctic", quantity: 4 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-fox-arctic", quantity: 4 }
	},

	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-raccoon-common", quantity: 1 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-raccoon-common", quantity: 2 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-raccoon-common", quantity: 3 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-raw-raccoon-common", quantity: 4 },
		},
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 4 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-raccoon-common", quantity: 1 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 1 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-raccoon-common", quantity: 2 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 2 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-raccoon-common", quantity: 3 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 3 }
	},
	{
		ingredientPattern: "F,H",
		ingredients: {
			"F": { type: "item", code: "fat-rendered" },
			"H": { type: "item", code: "hide-salted-raccoon-common", quantity: 4 },
		},
		recipegroup: 1,
		shapeless: true,
		width: 1,
		height: 2,
		output: { type: "item", code: "hide-oiled-raccoon-common", quantity: 4 }
	},
]